define.h File Reference

testing defines More...

Go to the source code of this file.

## Macros

#define | ABS(x) (((x)>0)?(x):-(x))
| Computes the absolute value of its argument x.
#define | MAX(x, y) ((x)>(y)?(x):(y))
#define | MIN(x, y) ((x)>(y)?(y):(x))

## Detailed Description

testing defines

This is to test the documentation of defines.

## Macro Definition Documentation

## ABS

#define ABS | ( |  | x | ) | (((x)>0)?(x):-(x))

Computes the absolute value of its argument x.

Parameters

  x | input value.

Returns
  absolute value of x.

## MAX

#define MAX | ( |  | x,
|  |  | y
| ) |  | ((x)>(y)?(x):(y))

Computes the maximum of x and y.

## MIN

#define MIN | ( |  | x,
|  |  | y
| ) |  | ((x)>(y)?(y):(x))

Computes the minimum of x and y.